Summary:	An OpenGL to PostScript printing library
Summary(pl):	Biblioteka drukowania z OpenGL-a do PostScriptu
Name:		gl2ps
Version:	1.4.0
Release:	1
License:	LGPLv2+ or GL2PS
Source0:	http://www.geuz.org/gl2ps/src/%{name}-%{version}.tgz
URL:		http://www.geuz.org/gl2ps/
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:	libGL-devel
BuildRequires:  libpng-devel

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%description -l pl
GL2PS to biblioteka C zapewniająca wysokiej jakości wyjście wektorowe
dla dowolnej aplikacji OpenGL. Główna różnica między GL2PS a innymi
podobnymi bibliotekami polega na użyciu algorytmów sortujących
potrafiących obsłużyć przecinające się i rozciągnięte wielokąty, a
także obiekty nie będące rozmaitościami. GL2PS zapewnia zaawansowane
gładkie cieniowanie i renderowanie tekstu, usuwanie niewidocznych
prymitywów, mieszane wyjście wektorowo-bitmapowe i wiele więcej.

GL2PS aktualnie potrafi tworzyć pliki PostScript (PS), Encapsulated
PostScript (EPS) oraz Portable Document Format (PDF), a także pliki
LaTeXa dla fragmentów tekstowych. Dodanie nowych wyjściowych formatów
wektorowych powinno być względnie łatwe (a spośród formatów, których
dodanie zainteresowani byliby autorzy, pierwszym jest SVG). Tymczasem
można używać świetnego programu pstoedit do przekształcania plików
PostScript generowanych przez GL2PS na wiele innych formatów
wektorowych, takich jak xfig, cgm, wmf itp.

%package devel
Summary:	Header files for GL2PS library
Summary(pl):	Pliki nagłówkowe biblioteki GL2PS
Requires:	%{name}%{_isa} = %{version}-%{release}
Requires:	libGL-devel

%description devel
Header files for GL2PS library.

%description devel -l pl
Pliki nagłówkowe biblioteki GL2PS.

%prep
%setup -q -n %{name}-%{version}-source

%build
%{cmake} .
%make_build

%install
rm -rf %{buildroot}
%make_install

rm -r %{buildroot}%{_docdir}/gl2ps
rm %{buildroot}%{_libdir}/libgl2ps.a

%ldconfig_scriptlets

%files
%license COPYING.GL2PS COPYING.LGPL
%doc README.txt
%{_libdir}/libgl2ps.so.*

%files devel
%doc gl2ps.pdf gl2psTest*.c
%{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h

%changelog
* Tue May 05 2020 Hubble Zhu <zhuhengbo1@huawei.com> - 1.4.0-1
- First release.
